@import '../../colors.scss';

.page.home {
    .main {
        position: relative;
        margin: 56px 0;
    }
    .header {
        display: flex;
        flex-direction: row;
        background-color: white;

        .score-container {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            padding: 3px 7px;
            margin-left: 20px;
            border-radius: 50px;
            background-color: $gray-lighter;
            .score {
                display: flex;
                align-items: center;
                justify-content: center;
                margin: 0;
                border-radius: 50%;
                background-color: #ffffff40;
                font-size: 25px;
                &.selected {
                    color: $orange;
                }
            }
            .score-value {
                font-size: 1.5rem;
                font-weight: 400;
                margin: 5px 0;
                transition: opacity 200ms ease-out;
                &.fade-enter {
                    opacity: 0;
                }
                &.fade-exit {
                    opacity: 1;
                }
                &.fade-enter-active {
                    opacity: 1;
                }
                &.fade-exit-active {
                    opacity: 0;
                }
            }
        }
    }

    h1 {
        margin: 0;
        padding: 0 20px 0 10px;
        font-size: 3rem;
        font-weight: 400;
    }
    p {
        padding: 20px;
        margin: 0;
        font-size: 1.4rem;
        font-weight: 100;
        line-height: 2.4rem;
        text-align: justify;
    }
    h2 {
        margin: 0;
        padding: 25px 20px 0;
        font-size: 2rem;
    }
    .steps-container {
        display: flex;
        overflow: hidden;
        width: 100%;
        max-width: 100%;
        &::-webkit-scrollbar {
            display: none;
        }
        .steps-scroll {
            position: relative;
            display: flex;
            flex-flow: nowrap;
            margin: 20px 10px 10px 10px;
            transition: left 500ms ease-out;
        }
    }

    .side-menu-container {
        position: absolute;
        display: flex;
        flex-direction: row;
        height: 100%;
        width: 100%;
        top: 0;
        left: -100%;
        z-index: 1000;
        transition: left 300ms ease-out;
        .side-menu {
            position: relative;
            width: 250px;
            background-color: $gray-dark;
            box-shadow: 0px -2px 5px 0px #00000080;
        }
        .side-menu-mask {
            background-color: white;
            opacity: 0.01;
            display: none;
            height: 100%;
            flex: 1;
        }
        &.open {
            left: 0;
            .side-menu-mask {
                display: flex;
            }
        }
        .close-menu-button-container {
            position: fixed;
            top: 0;
            display: flex;
            width: 250px;
            justify-content: flex-end;
            .close-menu-button {
                padding: 13px 19px;
                color: white;
                font-size: 3rem;
            }
        }
    }
    .menu-items {
        position: fixed;
        width: 250px;
        top: 100px;
        list-style-type: none;
        padding: 0;
        margin: 0;
        color: white;
        font-size: 1.2rem;
        .menu-item {
            display: flex;
            flex-direction: row;
            align-items: center;
            transition: all 200ms;
            &:active,
            &:focus {
                background: $gray-light;
            }
            .menu-item-icon {
                padding: 20px;
            }
            .menu-item-text {
                padding: 20px 20px 20px 0;
                flex: 1;
            }
        }
    }
}
